Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in X.Org X Server
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in X.Org X Server
ID: 201701-64
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Mi, 25. Januar 2017, 14:44
Referenzen: https://lists.x.org/archives/xorg-announce/2015-June/002611.html
XWayland
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3418
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-6424
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3164

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--htAcTglWuXhcC8GRon7tJOwAjQ84bsk5u
Content-Type: multipart/mixed;
boundary="6Ra6mqNTg3B7AjuwcjJBDpftFl7PnCDFt";
protected-headers="v1"
From: Thomas Deutschmann <whissi@gentoo.org>
Reply-To: Gentoo Security <security@gentoo.org>
To: gentoo-announce@lists.gentoo.org
Message-ID: <1a2b609f-aa9b-7052-20cd-3ab8799fbfe7@gentoo.org>
Subject: [ GLSA 201701-64 ] X.Org X Server: Multiple vulnerabilities

--6Ra6mqNTg3B7AjuwcjJBDpftFl7PnCDFt
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201701-64
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: X.Org X Server: Multiple vulnerabilities
Date: January 25, 2017
Bugs: #493294, #548002, #551680
ID: 201701-64

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities have been found in X.Org X Server, the worst
of which may allow authenticated attackers to read from or send
information to arbitrary X11 clients.

Background
==========

The X Window System is a graphical windowing system based on a
client/server model.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 x11-base/xorg-server < 1.18.4 >= 1.18.4

Description
===========

Multiple vulnerabilities have been discovered in X.Org X Server. Please
review the CVE identifiers referenced below for details.

Impact
======

An authenticated attacker could possibly cause a Denial of Service
condition or read from or send information to arbitrary X11 clients.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All X.Org X Server users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=x11-base/xorg-server-1.18.4"

References
==========

[ 1 ] CVE-2013-6424
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-6424
[ 2 ] CVE-2015-3164
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3164
[ 3 ] CVE-2015-3418
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3418
[ 4 ] X.Org/Wayland Security Advisory: Missing authentication in
XWayland
https://lists.x.org/archives/xorg-announce/2015-June/002611.html

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201701-64

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2017 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--6Ra6mqNTg3B7AjuwcjJBDpftFl7PnCDFt--

--htAcTglWuXhcC8GRon7tJOwAjQ84bsk5u
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0

iQJ8BAEBCgBmBQJYiKHlXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQzM0M1ODQ4MkM0MDIyOTJEMkUzQzVDMDY5
NzA5RjkwQzNDOTZGRkM4AAoJEJcJ+Qw8lv/Ia+YQAKATOVWdVMnxL6KJVs4/Wvew
x9v3+FUVohEm3SSPHJIlUDBG34PEGMr8chxpg6aZfu42ri/ZItWm9t6SIuZXdSp5
Ba/iosz7xYv8wEG/Jg6fRzBJnNzGnh8QYJBTu14i0b4e8BnxygXO+hU4p10kGQBU
GRl0B9L1xengN5GTYYqNE7y6Wdu/VVWUwPyyGCUuCV6cYY2Bg+3tx2S5IyVG2pfJ
ekCdRbS6fRgEseTSDkxB9W9c7OL8ecKE5t2zmm2CgB5ihCqD7X7f3udmhaWxAKDP
UJnePr5LL29RTACaaz385lpBrf96VX76R6hBgH1U3ft3nePHPDoUYpAUQIEAseUM
Q9EsHUTRSc86ulVVrrZsabU5NdhmjYQjnGI4xV9KHX2UxEcKADwSugHcA1ueK7EN
Lf8UlZ26Ms2HrFnzW50Nnx2A6UW3wERDz7ofqipA7wW8CGFEcP8GIZ5ZnU585SGn
+Xm5fsf8yQBdZkNY+i+/uv8mA8wCxUfuErvWnfHj6wBSK36mpDvA21LrEcWuFWBh
cZBms5RR0yPSVZyPd5FfnvYHUlk5T3ZqRooOKiTVN6UjATwLBSm2W59cy6CrtuUX
mcZ+si3FHtv0eC2WDoTWEOSjfUwFP37LATT2u239CRMKcetDsK0YzfhCV9KnnpSV
dsqJ62LqwwANHVcJCWfs
=8wHd
-----END PGP SIGNATURE-----

--htAcTglWuXhcC8GRon7tJOwAjQ84bsk5u--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung